<?php
class EncoreunlivreBridge extends FeedExpander {

	const MAINTAINER = 'Yan';
	const NAME = 'Encore un livre Bridge';
	const URI = 'https://encoreunlivre.com/';
	const DESCRIPTION = 'Returns the newest articles.';

	protected function parseItem($item){
		$item = parent::parseItem($item);

		$article_html = getSimpleHTMLDOMCached($item['uri']);
		if(!$article_html) {
			$item['content'] = 'Could not request Encore un livre : ' . $item['uri'];
			return $item;
		}

		$article_image = '';
		foreach ($article_html->find('figure>img') as $img) {
			if ($img->alt == $item['title']) {
				$article_image = self::URI . $img->src;
				break;
			}
		}

		$article_content = '';
		if ($article_image) {
			$article_content = '<p><img src="' . $article_image . '" /></p>';
		}
		$article_content .= str_replace(
			'src="/', 'src="' . self::URI,
			$article_html->find('div.entry-content', 0)->innertext
		);
		
		$item['content'] = $article_content;

		return $item;
	}

	public function collectData(){
		$feedUrl = self::URI . 'feed/';
		$this->collectExpandableDatas($feedUrl);
	}
}
